package com.glxp.mipsdl.admin.http;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.glxp.mipsdl.admin.req.system.PostFileThrOrderRequest;
import com.glxp.mipsdl.admin.req.system.PostThrCorpRequest;
import com.glxp.mipsdl.admin.req.system.PostThrInvProductsRequest;
import com.glxp.mipsdl.admin.req.system.PostThrProductsRequest;
import com.glxp.mipsdl.admin.util.HttpClient;
import com.glxp.mipsdl.common.res.BaseResponse;

public class UdiwmsClient {

    String udiWmsUrl;

    public UdiwmsClient(String udiWmsUrl) {
        this.udiWmsUrl = udiWmsUrl;
    }
    public BaseResponse postProducts( PostThrProductsRequest postThrProductsRequest) {
        String response = HttpClient.postJson(udiWmsUrl+"/udiwms/thrsys/postThrProducts", postThrProductsRequest);
        BaseResponse baseResponse =
                JSONObject.parseObject(response, new TypeReference<BaseResponse>() {
                });
        return baseResponse;
    }

    public BaseResponse postCorps( PostThrCorpRequest postThrCorpRequest) {
        postThrCorpRequest.setUploadType("文件导入");
        String response = HttpClient.postJson(udiWmsUrl+"/udiwms/thrsys/postCorps", postThrCorpRequest);
        BaseResponse baseResponse =
                JSONObject.parseObject(response, new TypeReference<BaseResponse>() {
                });
        return baseResponse;
    }

    public BaseResponse postOrderDetail( PostFileThrOrderRequest postFileThrOrderRequest) {
        String response = HttpClient.postJson(udiWmsUrl+"/udiwms/thrsys/postFileOrder", postFileThrOrderRequest);
        BaseResponse baseResponse =
                JSONObject.parseObject(response, new TypeReference<BaseResponse>() {
                });
        return baseResponse;
    }

    public BaseResponse postInvProducts( PostThrInvProductsRequest postThrInvProductsRequest) {
        String response = HttpClient.postJson(udiWmsUrl+"/udiwms/thrsys/postInvProducts", postThrInvProductsRequest);
        BaseResponse baseResponse =
                JSONObject.parseObject(response, new TypeReference<BaseResponse>() {
                });
        return baseResponse;
    }


}
