package com.glxp.mipsdl.admin.thread.system;

import com.glxp.mipsdl.admin.http.UdiwmsClient;
import com.glxp.mipsdl.admin.req.system.PostFileThrOrderRequest;
import com.glxp.mipsdl.admin.req.system.PostThrCorpRequest;
import com.glxp.mipsdl.admin.req.system.PostThrInvProductsRequest;
import com.glxp.mipsdl.admin.req.system.PostThrProductsRequest;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Service
public class UdiInfoUploadService {

    @Value("${UDIWMS_IP}")
    private String udiwmsIp;

    @Async
    public void postProducts(PostThrProductsRequest postThrProductsRequest) {
        new UdiwmsClient(udiwmsIp).postProducts(postThrProductsRequest);
    }


    @Async
    public void postCorps(PostThrCorpRequest postThrCorpRequest) {
        new UdiwmsClient(udiwmsIp).postCorps(postThrCorpRequest);
    }


    @Async
    public void postInvPi(PostThrInvProductsRequest postThrInvProductsRequest) {
        new UdiwmsClient(udiwmsIp).postInvProducts(postThrInvProductsRequest);
    }


    @Async
    public void postOrders(PostFileThrOrderRequest postFileThrOrderRequest) {
        new UdiwmsClient(udiwmsIp).postOrderDetail(postFileThrOrderRequest);
    }
}
